Page MenuHomePhabricator

[XRay][Arm] Repair XRay table emission on Arm32 and add tests to identify such problem earlier
ClosedPublic

Authored by rSerge on Jan 12 2017, 12:35 PM.

Diff Detail

Event Timeline

rSerge updated this revision to Diff 84166.Jan 12 2017, 12:35 PM
rSerge retitled this revision from to [XRay][Arm] Repair XRay table emission on Arm32 and add tests to identify such problem earlier.
rSerge updated this object.
rSerge added a subscriber: iid_iunknown.
rSerge added a subscriber: llvm-commits.
dberris accepted this revision.Jan 12 2017, 3:40 PM
dberris edited edge metadata.

LGTM -- thanks @rSerge.

This revision is now accepted and ready to land.Jan 12 2017, 3:40 PM
rSerge closed this revision.Jan 17 2017, 4:03 AM
This revision was automatically updated to reflect the committed changes.
rSerge reopened this revision.Jan 19 2017, 11:41 AM
This revision is now accepted and ready to land.Jan 19 2017, 11:41 AM

Please, note that this change can stay in mainline if https://reviews.llvm.org/D28623 is reverted because that one is real build-breaker.

rSerge updated this revision to Diff 85011.Jan 19 2017, 12:34 PM

Just submitting the same changes trying to workaround a glitch in Arcanist...

rSerge closed this revision.Jan 19 2017, 12:35 PM

Again in mainline at revision 292516.